class ModifyChallengeIdForDiscusses < ActiveRecord::Migration[5.2]
  def change
    discusses = Discuss.where(challenge_id: nil)
    discusses.each do |dis|
      challenge_id = Shixun.find(dis.dis_id).challenges.first.id
      dis.update_column(:challenge_id, challenge_id)
    end
    add_index :discusses, :challenge_id

  end
end
